- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ibm_sa_vol_map – Handles volume mapping on IBM Spectrum Accelerate Family storage systems

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module maps volumes to or unmaps them from the hosts on IBM Spectrum Accelerate Family storage systems.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- pyxcli

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster - |  | Maps the volume to a cluster.
endpoints string / required |  | The hostname or management IP of Spectrum Accelerate storage system.
host - |  | Maps the volume to a host.
lun - |  | The LUN identifier.
override - |  | Overrides the existing volume mapping.
password string / required |  | Password for username on the spectrum accelerate storage system.
state - / required | Choices: present ← absent | When the state is present the volume is mapped. When the state is absent, the volume is meant to be unmapped.
username string / required |  | Management user on the spectrum accelerate storage system.
vol - / required |  | Volume name.

## Notes

Note

- This module requires pyxcli python library. Use ‘pip install pyxcli’ in order to get pyxcli.

## Examples

    - name: Map volume to host.
      ibm_sa_vol_map:
        vol: volume_name
        lun: 1
        host: host_name
        username: admin
        password: secret
        endpoints: hostdev-system
        state: present

    - name: Map volume to cluster.
      ibm_sa_vol_map:
        vol: volume_name
        lun: 1
        cluster: cluster_name
        username: admin
        password: secret
        endpoints: hostdev-system
        state: present

    - name: Unmap volume.
      ibm_sa_vol_map:
        host: host_name
        username: admin
        password: secret
        endpoints: hostdev-system
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Tzur Eliyahu (@tzure)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.